// ====================================================================
// This file is part of FlexibleSUSY.
//
// FlexibleSUSY is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published
// by the Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// FlexibleSUSY is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with FlexibleSUSY.  If not, see
// <http://www.gnu.org/licenses/>.
// ====================================================================

// File generated at Sat 22 Nov 2014 10:50:30

#include "MRSSM_two_scale_soft_parameters.hpp"
#include "wrappers.hpp"

namespace flexiblesusy {

#define INPUT(parameter) input.parameter
#define TRACE_STRUCT soft_traces

/**
 * Calculates the one-loop beta function of moc2.
 *
 * @return one-loop beta function
 */
double MRSSM_soft_parameters::calc_beta_moc2_one_loop(const Soft_traces& soft_traces) const
{


   double beta_moc2;

   beta_moc2 = 0;


   return beta_moc2;
}

/**
 * Calculates the two-loop beta function of moc2.
 *
 * @return two-loop beta function
 */
double MRSSM_soft_parameters::calc_beta_moc2_two_loop(const Soft_traces& soft_traces) const
{
   const double Tr23 = TRACE_STRUCT.Tr23;


   double beta_moc2;

   beta_moc2 = 24*Power(g3,4)*Tr23*twoLoop;


   return beta_moc2;
}

} // namespace flexiblesusy
